Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029498
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Z. Othersminoralways2015-03-30 18:242015-04-07 10:22
ReportermaiteView Statuspublic 
Assigned Tovmromanos 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q1.3
StatusclosedFix in branchFixed in SCM revision9b344a0c8a62
ProjectionnoneETAnoneTarget Version3.0PR15Q1.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-10-02
Regression introduced in release3.0PR14Q4
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029498: NullPointerException error when Adding Payment from Match Statement process and working with Automatic Payment Method

DescriptionNullPointerException error when Adding Payment from Match Statement process and working with Automatic Payment Method
Steps To Reproduce1. Access "Cuenta de Banco" financial account and create new Bank Statement. Add line with IN amount=50
2. Access "Execution process" window and add parameter to "Simple Execution Process" as "Parameter type= IN", "Input type= Checkbox", "Default value for flag= yes", "Mandatory= yes"
3. Access Financial Account | Payment method tab and configure Transferencia as "Automatic", Execution process= "Simple Execution Process" and Deferred= NO
4. Run "Match Statement" process and "Add transaction" process. Realize that IN amount is set to 50
5. Run "Add Payment" process, choose any invoice and press Done. Realize that IN amount is empty

Following NullPointerException error appears in openbravo.log:
java.lang.NullPointerException
    at org.openbravo.advpaymentmngt.process.FIN_ExecutePayment.init(FIN_ExecutePayment.java:83)
Proposed SolutionProblem is that "parameters" variable is null in line 83 of FIN_ExecutePayment.java file
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029464 closedvmromanos NullPointerException error when Adding Payment from Match Statement process and working with Automatic Payment Method 

-  Notes
(0076352)
hgbot (developer)
2015-04-07 10:01

Repository: erp/backports/3.0PR15Q1.3
Changeset: 9b344a0c8a621b22a926c83b9e8add85e6cdd517
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Apr 01 15:55:26 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/9b344a0c8a621b22a926c83b9e8add85e6cdd517 [^]

Fixed bug 29498: Several issues in Match Statement

1) Wrong management of default parameters in automatic execution process:
ParameterType was used where InputType was expected (and the opposite)

2) NPE when working with default parameters in execution process
constantParameters attribute wasn't initialized before being used. Fixed also parameters attribute with the same potential issue

3) Impossible to create a new payment from transaction when the payment method has an automatic execution process and automatic deposit/withdrawn
We now pass an internal parameter "comingFrom" to know if we come from a transaction. In this case we don't create automatically the transaction (regardless the payment method is automatic deposit/withdrawn) to avoid breaking the unique constraint FIN_FINACC_TRANSACTION_UN inside FIN_FINACC_TRANSACTION table

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
---
(0076353)
hgbot (developer)
2015-04-07 10:01

Repository: erp/backports/3.0PR15Q1.3
Changeset: eda5123f66b0223d67c89094f894a547bd353f51
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Tue Apr 07 10:00:20 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/eda5123f66b0223d67c89094f894a547bd353f51 [^]

Related to bug 29498: Code review

Use ParameterType instead of InputType for CONSTANT String.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
---
(0076359)
umartirena (developer)
2015-04-07 10:22

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-04-01 17:26 vmromanos Type defect => backport
2015-04-01 17:26 vmromanos Target Version => 3.0PR15Q1.3
2015-04-01 17:27 vmromanos Tag Attached: Approved
2015-04-07 10:01 hgbot Checkin
2015-04-07 10:01 hgbot Note Added: 0076352
2015-04-07 10:01 hgbot Status scheduled => resolved
2015-04-07 10:01 hgbot Resolution open => fixed
2015-04-07 10:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/9b344a0c8a621b22a926c83b9e8add85e6cdd517 [^]
2015-04-07 10:01 hgbot Checkin
2015-04-07 10:01 hgbot Note Added: 0076353
2015-04-07 10:22 umartirena Review Assigned To => umartirena
2015-04-07 10:22 umartirena Note Added: 0076359
2015-04-07 10:22 umartirena Status resolved => closed
2015-04-07 10:22 umartirena Fixed in Version => 3.0PR15Q1.3
2015-06-22 20:38 AtulOpenbravo Relationship added causes 0030206
2015-06-23 12:53 aferraz Relationship deleted causes 0030206


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker